%global framework libgravatar

Name:    kf5-%{framework}
Version: 23.08.5
Release: 1
Summary: Gravatar support library

License: GPLv2
URL:     https://invent.kde.org/pim/%{framework}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/release-service/%{version}/src/%{framework}-%{version}.tar.xz

# handled by qt5-srpm-macros, which defines %%qt5_qtwebengine_arches
%{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}

BuildRequires:  kf5-kpimtextedit-devel
BuildRequires:  ktextaddons-devel
BuildRequires:  qt5-qtbase-devel

%global kf5_ver 5.105.0
BuildRequires:  extra-cmake-modules >= %{kf5_ver}
BuildRequires:  kf5-rpm-macros >= %{kf5_ver}
BuildRequires:  kf5-kconfig-devel >= %{kf5_ver}
BuildRequires:  kf5-kio-devel >= %{kf5_ver}
BuildRequires:  kf5-ki18n-devel >= %{kf5_ver}
BuildRequires:  kf5-ktextwidgets-devel >= %{kf5_ver}
BuildRequires:  kf5-kwidgetsaddons-devel >= %{kf5_ver}

#global majmin_ver %(echo %{version} | cut -d. -f1,2)
%global majmin_ver %{version}
BuildRequires:  kf5-pimcommon-devel
BuildRequires:  kf5-kpimtextedit-devel

Obsoletes:      kdepim-libs < 7:16.04.0
Conflicts:      kdepim-libs < 7:16.04.0

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
%{summary}.


%prep
%autosetup -n %{framework}-%{version}


%build
%cmake_kf5

%make_build


%install
%make_install

%find_lang %{name} --all-name --with-html


%ldconfig_scriptlets

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_libdir}/libKPim5Gravatar.so.5*

%files devel
%{_kf5_libdir}/libKPim5Gravatar.so
%{_kf5_libdir}/cmake/KPim5Gravatar/
%{_includedir}/KPim5/Gravatar/

%{_kf5_archdatadir}/mkspecs/modules/qt_Gravatar.pri


%changelog
* Mon Mar 18 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.5-1
- update verison to 23.08.5

* Mon Jan 08 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.4-1
- update verison to 23.08.4

* Fri Aug 18 2023 huayadong <huayadong@kylinos.cn> - 23.04.3-1
- update for 23.04.3-1

* Fri May 05 2023 peijiankang <peijiankang@kylinos.cn> - 22.12.0-1
- Init Package for openEuler

